package ovh.herisson.Clyde.EndPoints.Inscription;


import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import ovh.herisson.Clyde.Repositories.Inscription.PaymentRepository;
import ovh.herisson.Clyde.Tables.Inscription.Payment;

import java.util.ArrayList;

@RestController
@CrossOrigin(originPatterns = "*", allowCredentials = "true")
public class PaymentController {

    private final PaymentRepository paymentRepository;

    public PaymentController(PaymentRepository paymentRepository){
        this.paymentRepository = paymentRepository;
    }

    //Post a payment record
    @PostMapping("/payment")
    public ResponseEntity<Object> postPayment(@RequestBody Payment payment){
        paymentRepository.save(payment);
        return new ResponseEntity<>(HttpStatus.OK);
    }


    //Get all payment records of a student
    @GetMapping("/payment/{studentRegNo}")
    public ResponseEntity<ArrayList<Payment>> getPaymentsByUser(@PathVariable long studentRegNo){
        ArrayList<Payment> toReturn = paymentRepository.getPaymentsByStudentRegNo(studentRegNo);
        return new ResponseEntity<>(toReturn, HttpStatus.OK);
    }

}
