package ovh.herisson.Clyde.Services;

import org.springframework.stereotype.Service;
import ovh.herisson.Clyde.Repositories.CurriculumRepository;
import ovh.herisson.Clyde.Repositories.Inscription.ExternalCurriculumRepository;
import ovh.herisson.Clyde.Repositories.UserCurriculumRepository;
import ovh.herisson.Clyde.Tables.*;

import java.util.ArrayList;
import java.util.HashMap;

@Service
public class UserCurriculumService {

    private final UserCurriculumRepository userCurriculumRepository;
    private final CurriculumRepository curriculumRepo;

    private final ExternalCurriculumRepository externalCurriculumRepo;
    public UserCurriculumService(UserCurriculumRepository userCurriculumRepository, CurriculumRepository curriculumRepo, ExternalCurriculumRepository externalCurriculumRepo) {
        this.userCurriculumRepository = userCurriculumRepository;
        this.curriculumRepo = curriculumRepo;
        this.externalCurriculumRepo = externalCurriculumRepo;
    }

    public Curriculum findByUser(User student){
        return userCurriculumRepository.findByUser(student);
    }

    public HashMap<String,Object> findAllCurriculumByStudent(User student) {
        ArrayList<UserCurriculum> list = userCurriculumRepository.findByUserOrderByCurriculum(student);

        ArrayList<HashMap<String, Object>> curriculumlist = new ArrayList<HashMap<String, Object>>();

        for (int i = 0; i < list.size(); i++) {
            HashMap<String, Object> element = new HashMap<>();
            Curriculum c = list.get(i).getCurriculum();


            element.put("curriculumId", c.getCurriculumId());
            element.put("year", c.getYear());
            element.put("option", c.getOption());
            element.put("dateyear", list.get(i).getYear());
            curriculumlist.add(element);
        }

        HashMap<String, Object> toReturn = new HashMap<String, Object>();
        toReturn.put("curriculumList", curriculumlist);
        return toReturn;
    }


}
