package ovh.herisson.Clyde.Tables.Inscription;

import jakarta.persistence.*;
import org.hibernate.annotations.OnDelete;
import org.hibernate.annotations.OnDeleteAction;
import ovh.herisson.Clyde.Tables.RequestState;
import ovh.herisson.Clyde.Tables.User;

import java.util.Date;

@Entity
public class ScholarshipRequest {
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private long id;

    @JoinColumn(name="Users")
    @ManyToOne(fetch = FetchType.EAGER)
    private User user;
    private RequestState state;
    private Date date;
    private int amount;
    private String taxDocUrl;
    private String residencyDocUrl;

    public ScholarshipRequest(User user, RequestState state, int amount, Date date, String taxDocUrl, String residencyDocUrl){
        this.user = user;
        this.state = state;
        this.amount = amount;
        this.date = date;
        this.taxDocUrl = taxDocUrl;
        this.residencyDocUrl = residencyDocUrl;
    }

    public ScholarshipRequest(){}

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public RequestState getState() {
        return state;
    }

    public void setState(RequestState state) {
        this.state = state;
    }

    public int getAmount() {
        return amount;
    }

    public void setAmount(int amount) {
        this.amount = amount;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public long getId() {
        return id;
    }

    public String getResidencyDocUrl() {
        return residencyDocUrl;
    }

    public void setResidencyDocUrl(String residencyDocUrl) {
        this.residencyDocUrl = residencyDocUrl;
    }

    public String getTaxDocUrl() {
        return taxDocUrl;
    }

    public void setTaxDocUrl(String taxDocUrl) {
        this.taxDocUrl = taxDocUrl;
    }
}
