import {restGet, restPatch, restPost} from "@/rest/restConsumer.js";
import {parseInteger} from "jsdom/lib/jsdom/living/helpers/strings.js";

export async function createExternalCurriculum(inscriptionRequestId,school, formation, completion, startYear, endYear, justifdocUrl){
    return restPost("/externalcurriculum", {
        inscriptionRequestId: inscriptionRequestId,
        school:school,
        formation :formation,
        completion : completion,
        startYear : parseInteger(startYear),
        endYear: parseInteger(endYear),
        justifdocUrl : justifdocUrl
    })
}

export async function getExternalCurriculumByInscrReq(inscrReqId){
    return restGet("/externalcurriculum/"+inscrReqId)
}

export async function getExternalCurriculumByUser(userId){
    return restGet("/externalcurriculumbyuser/"+userId)
}

